api_versions - AWS SDKs and Tools Shared Configuration and Credentials

api_versions

Some AWS services maintain multiple API versions to support backward compatibility. By default, SDK and AWS CLI operations use the latest available API version. To require a specific API version to use for your requests, include the api_versions setting in your profile.

Details

This is a "nested" setting that's followed by one or more indented lines that each identify one AWS service and the API version to use. See the documentation for each service to understand which API versions are available.

Ways to set this value

The example shows how to specify an API version for two AWS services. These API versions are used only for commands that run under the profile that contains these settings. Commands for any other service use the default (latest) version of that service's API.

Location Supported Example
config file X
api_versions = ec2 = 2015-03-01 cloudfront = 2015-09-017
credentials file -
Environment variable -
CLI parameter -

Compatibility with AWS SDKS and tools